Page MenuHomePhabricator

Media files appear as broken on Firefox
Closed, DeclinedPublic

Description

If I load https://en.wiktionary.org/wiki/Afrique_du_Sud#French, the file in the pronunciation section appears as broken (whereas it is not: if I click on it, I hear the word):


This happens after the loading is done.
Before the loading is done, there is no display bug...:

I haven't this bug on Chrome. My Firefox is updated (41.0.2).

Event Timeline

Automatik raised the priority of this task from to Needs Triage.
Automatik updated the task description. (Show Details)
Automatik added a subscriber: Automatik.
Restricted Application added a project: Multimedia. · View Herald TranscriptOct 16 2015, 3:00 PM
Restricted Application added subscribers: Steinsplitter, Aklapper. · View Herald Transcript
Automatik updated the task description. (Show Details)Oct 16 2015, 3:02 PM
Automatik set Security to None.
Restricted Application added a subscriber: Matanya. · View Herald TranscriptOct 16 2015, 3:02 PM
Tgr added a subscriber: Tgr.Oct 16 2015, 6:56 PM

Can't reproduce on FF 41.0.2 / Ubuntu 14.04 (nor on 40.0.3). Before the widget loads, there is a short flash of unstyled content that looks like this:


(note the difference in the icon) so I'm guessing this is a file load failure. Could be the same issue as T115563 although I'm still not sure if that's a file loading problem or something specific to MediaViewer.

Actually, I've

then
and then

Sometimes it works and, after the widget loads, instead of the third, I've the first one. This is random.
PS: I use Windows 7.

Tgr added a comment.Oct 18 2015, 9:24 PM

Yeah, that's simply a network error (although the player should handle it more gracefully).

TheDJ triaged this task as Low priority.Oct 21 2015, 11:02 AM
TheDJ removed a project: MediaWiki-File-management.
TheDJ moved this task from To sort to Player on the TimedMediaHandler board.Oct 21 2015, 6:59 PM
MarkTraceur moved this task from Untriaged to Triaged on the Multimedia board.Dec 6 2016, 4:19 PM
Ramsey-WMF added a subscriber: Ramsey-WMF.

Looks fine in latest versions (this is now a 2 year old ticket). Will consider investigating further if reproducible.

Automatik: Do you still experience this? If yes, with which browser and browser version?

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptDec 7 2017, 4:24 PM
Aklapper closed this task as Declined.Jan 3 2018, 12:32 PM

Unfortunately closing this report as no further information has been provided. @Automatik: After you have provided the information asked for and if this still happens, please set the status of this report back to "Open" via the Add Action...Change Status dropdown. Thanks!